@charset "UTF-8";
/* Procesar con sass mediante el comando
   sass --watch marcapdf/pdfwater.scss:marcapdf/static/marcapdf.css
*/
/*
   Plantilla base SCSS.
   Marco Romera Corral. 2016-07-21. 2017-05-18
*/
/*
 * Footer resuelto con flexbox (CSS3)
 * https://philipwalton.github.io/solved-by-flexbox/demos/sticky-footer/
 * https://css-tricks.com/snippets/css/a-guide-to-flexbox/
 * http://www.w3schools.com/css/css3_flexbox.asp
 */
body {
  display: flex;
  min-height: 100vh;
  flex-direction: column; }

main.content {
  flex: 1; }

#footer {
  display: block; }

/*
 * Tipografías y colores
 */
body {
  color: #333;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 100%;
  line-height: 1.5;
  margin: 0; }

h1 {
  font-size: 2.25em; }

h2 {
  font-size: 2.251 0.5em; }

h3 {
  font-size: 2.251 0.3125em; }

h4 {
  font-size: 2.251 0.125em; }

h5 {
  font-size: 2.251em; }

input {
  color: #333;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif; }

* {
  box-sizing: border-box; }

/*
 * Dimensiones y distribución del espacio
 */
main.content {
  margin: auto;
  width: 80%;
  max-width: 60em;
  padding: 1em; }

@media (max-width: 767px) {
  main.content {
    width: 100%; } }

#footer {
  background-color: #2a2730;
  color: #99979c;
  padding: 1em; }

section {
  margin-top: 1.5em;
  margin-bottom: 1.5em; }

/* Grid de columnas */
/**
 * Botones y enlaces tipo boton
 */
button, a.boton:link, a.boton:visited {
  background-color: #008CBA;
  color: white;
  padding: 10px 20px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  border-radius: 5px;
  border: none;
  /*display: inline-block;*/ }

button:hover, button:active, a.boton:hover, a.boton:active {
  background-color: #20ACEA; }

nav.botones {
  padding: 10px 0 10px 0; }

/**
 * Formularios
 */
table.form th {
  text-align: right;
  padding-right: 1em; }

.errorlist {
  color: #B00;
  font-weight: bold;
  list-style-type: none;
  margin: 0;
  padding: 0; }

.has-error input {
  border-color: #a94442;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset; }

input {
  display: block;
  border: 1px solid #ccc;
  border-radius: 4px;
  color: #555;
  font-size: 14px;
  height: 2.4em;
  padding: 6px 12px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
  transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s; }

input[type="checkbox"] {
  width: auto;
  vertical-align: middle;
  display: inline-block; }

input[type="file"] {
  border: 0;
  box-shadow: none;
  height: auto; }

textarea {
  display: inline-block;
  width: 100%; }

.form-group {
  display: inline-block;
  vertical-align: bottom;
  padding: 0 0.7em 0 0.7em;
  margin: 5px 0 5px 0;
  margin-right: -4px; }

.form-group label {
  display: inline-block; }

select {
  display: block;
  width: 100%;
  border: 1px solid #ccc;
  background: #fff;
  min-height: 2.3em;
  border-radius: 4px;
  color: #555;
  height: 34px;
  padding: 6px 12px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.075) inset;
  transition: border-color 0.15s ease-in-out 0s, box-shadow 0.15s ease-in-out 0s; }

/**
 * Barra de navegación
 */
nav ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  overflow: hidden;
  background-color: #eee; }

nav li {
  float: left;
  border-right: 1px solid #bbb; }

nav li a {
  display: block;
  color: #555;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none; }

/* Change the link color to #111 (black) on hover */
nav li a:hover {
  filter: brightness(1.2); }

/* paneles */
/* tablas de listado de campos */
table.campos {
  width: 100%;
  padding: 20px; }
  table.campos th {
    text-align: right;
    padding-right: 1em;
    text-align: top; }
  table.campos th, table.campos td {
    border-bottom: 1px solid #bbb; }
  table.campos tr {
    line-height: 2.2em; }

/* avisos */
.alert {
  color: #8a6d3b;
  background-color: #fcf8e3;
  padding: 20px;
  border-color: #faebcc;
  border-radius: 4px;
  border: 1px solid transparent;
  margin-top: 1em;
  margin-bottom: 1em; }

/* Tabla con listado de datos */
table.listado {
  margin: 20px 0 20px 0;
  width: 100%; }

table.listado > thead > tr > th {
  border-bottom: 2px solid #ddd;
  padding: 6px;
  margin: 0; }

table.listado > tbody > tr > td {
  border-top: 1px solid #ddd; }

@media screen and (max-width: 640px) {
  table.listado {
    overflow-x: auto;
    display: block; } }

/* Labels */
.label {
  display: inline-block;
  padding: .25em .40em;
  font-size: 75%;
  font-weight: 700;
  line-height: 1;
  color: #fff;
  text-align: center;
  border-radius: .25rem; }

.label-success {
  background-color: #5CB85C; }

.label-warning {
  background-color: #F0AD4E; }

.label-error {
  background-color: #D9534F; }

#loader {
  border: 10px solid #f3f3f3;
  border-radius: 50%;
  border-top: 10px solid blue;
  width: 60px;
  height: 60px;
  animation: spin 2s linear infinite;
  display: none; }

@keyframes spin {
  0% {
    transform: rotate(0deg); }
  100% {
    transform: rotate(360deg); } }

#mensaje {
  background-color: #FF0000;
  color: white;
  font-size: 125%;
  margin-bottom: 1rem; }

.data {
  border: 2px solid #bce8f1;
  border-radius: 0.4em;
  padding: 0.5rem 0.5rem 0.5rem 0.5rem;
  margin: 1.4em 0 1.4em 0; }

#pdf_draw {
  border: 2px solid #000;
  background-color: #f1f1f1; }

.column {
  float: left;
  width: 50%;
  padding: 10px; }

.row:after {
  content: "";
  display: table;
  clear: both; }

p.diff1 {
  padding: 0.2rem;
  margin: 0;
  background-color: #eee; }

p.diff2 {
  padding: 0.2rem;
  margin: 0;
  background-color: #ddd; }
